"La_grotte" by Kilian

Part 1 - Introduction

The story genre is "Aventure horreur".
The story creation year is 2011.
The story headline is "Vous vous retrouvez dans une grotte, seul. Vous avez sur vous une lampe de poche, malheureusement vous n'avez pas de pile. Comment allez-vous réussir à sortir de cette grotte ?".

Include French by Eric Forgeot.        
Include Boussole by Benjamin Roux.

Use French Language.

Use full-length room descriptions. [permet d'afficher la description complète des lieux à chaque visite]

After printing the name of a container: omit contents in listing. [évite de préciser lorsqu'un contenant est vide ou plein]

After printing the name of a supporter: omit contents in listing.

[The carrying capacity of the player is always 10.  défini le nombre d'objets transportables simultanément dans les mains du joueur]

The maximum score is 10. [comme son nom l'indique, défini le score maximal]

figure of debut is the file "debut.jpg".
figure of fin is the file "fin.jpg".

[affichage de l'image "debut"]
Before looking in salle01 for the first time, display the figure of debut.

figure of plan001 is the file "plan001.png".
figure of plan002 is the file "plan002.png".
figure of plan003 is the file "plan003.png".
figure of plan004 is the file "plan004.png".
figure of plan005 is the file "plan005.png".
figure of plan006 is the file "plan006.png".
figure of plan007 is the file "plan007.png".
figure of plan008 is the file "plan008.png".
figure of plan009 is the file "plan009.png".



Part 2 - Les lieux

Chapter - grotte - avant de trouver le plan

the grotte visible is a region.
salle01, salle02, salle03, salle04, salle05, salle06, salle08 are in the grotte visible.
dehors is a region.
entrée0 de la grotte is in dehors.

[salle 01]
salle01 is a room.
the description of salle01 is "Vous êtes dans la salle principale de la grotte, près de l[']entrée. Il fait assez sombre, mais de la lumière filtre à travers l[']éboulis.".
the printed name of salle01 is "La salle principale.".


[salle 02]
salle02 is a dark room.
the description of salle02 is "Vous êtes dans une salle petite et étroite.".
the printed name of salle02 is "Une salle petite et étroite.".

[salle 03]
salle03 is a dark room.
the description of salle03 is "Vous êtes dans une salle immense.".
the printed name of salle03 is "Une salle immense.".

[salle04]
salle04 is a dark room.
the description of salle04 is "Vous êtes dans une salle humide et froide.".
the printed name of salle04 is "Une salle humide et froide.".

[salle05]
salle05 is a dark room.
the description of salle05 is "Vous êtes dans une salle sombre, vous y voyez à peine, même avec votre lampe.".
the printed name of salle05 is "Une salle sombre.".

[salle06]
salle06 is a dark room.
the description of salle06 is "Vous êtes dans une salle assez sombre. Le plafond est très bas. Vous êtes obligé de vous baisser pour avancer.".
the printed name of salle06 is "Une grande salle au plafond très bas.".

[salle08]
salle08 is a dark room.
the description of salle08 is "Vous êtes dans une salle minuscule. Vous pouvez à peine vous retourner.".
the printed name of salle08 is "Une salle minuscule.".

[entrée0 de la grotte]
entrée0 de la grotte is a room.

instead of going to entrée0 de la grotte, say "L[']éboulis vous empêche de passer. Vous ne pouvez pas sortir de la grotte par là !".

Chapter - grotte - après avoir trouvé le plan

the grotte visible is a region.
salle1, salle2, salle3, salle4, salle5, salle6, salle8 are in the grotte visible.
the grotte cachée is a region.
salle7 and salle9 are in the grotte cachée.
dehors is a region.
entrée de la grotte is in dehors.

[salle 1]
salle1 is a room.
the description of salle1 is "Vous êtes dans la salle principale de la grotte, près de l[']entrée. [if éboulis is in location]Il fait assez sombre, mais de la lumière filtre à travers l[']éboulis.[otherwise] Etrangement, l[']éboulis a disparu. Rien ne vous empêche plus de sortir de la grotte.[end if]".
the printed name of salle1 is "La salle principale.".

instead of going to entrée de la grotte :
	if player is in salle1
	begin;
		if éboulis is in salle1
		begin;
			say "L[']éboulis vous empêche de passer. Vous ne pouvez pas sortir de la grotte par là !";
		otherwise;
			continue the action;
		end if;
	end if.

[salle 2]
salle2 is a dark room.
the description of salle2 is "Vous êtes dans une salle petite et étroite.".
the printed name of salle2 is "Une salle petite et étroite.".

[salle 3]
salle3 is a dark room.
the description of salle3 is "Vous êtes dans une salle immense.".
the printed name of salle3 is "Une salle immense.".

[salle 4]
salle4 is a dark room.
the description of salle4 is "Vous êtes dans une salle humide et froide.".
the printed name of salle4 is "Une salle humide et froide.".

[salle5]
salle5 is a dark room.
the description of salle5 is "Vous êtes dans une salle sombre, vous y voyez à peine, même avec votre lampe.".
the printed name of salle5 is "Une salle sombre.".

[salle6]
salle6 is a dark room.
the description of salle6 is "Vous êtes dans une salle assez sombre. Le plafond est très bas. Vous êtes obligé de vous baisser pour avancer.".
the printed name of salle6 is "Une grande salle au plafond très bas.".

[salle7]
salle7 is a dark room.
the description of salle7 is "Vous êtes dans la salle secrète.".
the printed name of salle7 is "La salle secrète.".
before going to salle7 for the first time, award 1 point.

[salle8]
salle8 is a dark room.
the description of salle8 is "Vous êtes dans une salle minuscule. Vous pouvez à peine vous retourner.".
the printed name of salle8 is "Une salle minuscule.".


[salle9]
the description of salle9 is "Vous êtes dans la salle du diamant. Les murs renvoient une lumière blanche assez forte.".
the printed name of salle9 is "La salle du diamant.".

[entrée de la grotte]
entrée de la grotte is a room. "Vous êtes devant l[']entrée de la grotte. Le soleil brille, il y a une petite brise.".
The printed name of entrée de la grotte is "L[']entrée de la grotte".

after going to entrée de la grotte :
	move player to entrée de la grotte;
	award 1 point;
	display the figure of fin;
	end the game saying "Bravo vous avez gagné !".

Part 3 - Objets

Chapter - grotte - salle principale

[éboulis]
the éboulis is a male thing.
the printed name of the éboulis is "éboulis".
the éboulis is fixed in place.
the description of the éboulis is "Plein de pierres entassées les unes au dessus des autres qui bloquent le passage. [line break]Il vous a semblé voir quelquechose sous une pierre...".

the éboulis is in salle01.

understand "pierre", "pierres","eboulis" as éboulis.

instead of searching éboulis :
	say "Vous fouillez l[']éboulis.";
	try taking éboulis.

[pierre]
the pierre is a female thing.

instead of looking under the éboulis, try taking the éboulis.

instead of taking the éboulis:
	if player has a pierre
		begin;
		say "Vous avez déjà une pierre dans les mains ! Une à la fois.";
	otherwise;
		move the pierre to player;
		say "Vous prenez une pierre.[if pile is not in the compartiment]Vous voyez une pile au dessous ![end if]";
		if pile is not in the compartiment
			begin;
			move pile to location;
			now the charge of the pile is 20;
		end if;
	end if.

before taking the éboulis for the first time, award 1 point.
		
instead of dropping the pierre:
	if location is salle1
	begin;
		say "Vous posez la pierre sur l[']éboulis";
		remove the pierre from play;
	otherwise;
		if location is salle01
		begin;
			say "Vous posez la pierre sur l[']éboulis";
			remove the pierre from play;
		otherwise;
			continue the action;
		end if;
	end if.

[pour ne pas quitter la salle1 avec la pierre]		
instead of going somewhere :
	if player has the pierre:
		say "Vous avez une pierre avec vous, ce n[']est peut-être pas raisonnable de l[']emporter partout, c[']est lourd. Il faut la laisser là !";
	otherwise:
		continue the action.

Chapter - lumière électrique

[---electric light---]
An electric light is a kind of device. 
Carry out switching on an electric light: now the noun is lit.
Carry out switching off an electric light: now the noun is unlit.

Carry out switching on an electric light: now the noun is lighted.
Carry out switching off an electric light: now the noun is dark.


[---battery compartment---
A battery compartment is a kind of container. 
A battery compartment is usually closed and openable. ]


[ ---battery---]
battery is a kind of thing. A battery has a number called charge. 
The charge of a battery is usually 20.
Definition: a battery is discharged if its charge < 1.

	
Every turn:
if a battery (called cells) is in the compartiment
begin;
if the lampe is switched on
	begin;
	decrement the charge of the cells;
	if the charge of the cells is 8, say "Attention ! La pile va commencer à faiblir...";
	if the charge of the cells is 6, say "Attention ! La pile commence à faiblir...";
	if the charge of the cells is 4, say "La pile devient faible.";
	if the charge of the cells is 3, say "Attention ! La pile devient faible...";
	if the charge of the cells is 2, say "La pile devient très faible.";
	if the charge of the cells is 1, say "La pile devient très très faible !";
	if the charge of the cells is 0
		begin;
			decrement the charge of the cells;
			say "Oups ! La pile est morte !";
			try silently switching off the lampe;
			remove the cells from play;
			move pile usagée to compartiment;
		end if;
	end if;
end if.

[lampe]
the lampe is a female electric light .
the printed name of the lampe is "lampe de poche".
understand "lampe de poche" as lampe.
the lampe is switched off.
the player carries the lampe.

Instead of burning  the lampe, try switching on the lampe. 

Instead of opening the lampe, try opening the compartiment.
Instead of closing the lampe, try closing the compartiment.

Instead of inserting something into the lampe, try inserting the noun into the compartiment.



Instead of switching on the lampe:
if the compartiment is open, try closing the compartiment;
if the compartiment is closed
	begin;
	if a battery (called cells) is in the compartiment
		begin;
		if the charge of the cells is less than 1
			begin;
			say "Rien ne se passe. Peut-être n[']y a-t-il pas de batterie chargée dans [the noun].";
		otherwise;
			continue the action;
		end if;
	otherwise;
		say "Le compartiment à piles est vide !";
	end if;		
end if.
																				
[compartiment]
the compartiment is a male container.
the compartiment is openable.
the compartiment is closed.

the printed name of compartiment is "compartiment à piles".
the compartiment is part of the lampe.

understand "compartiment à piles", "compartiment à piles" as compartiment.

Instead of inserting something which is not a battery into the compartiment, say "Vous ne pouvez mettre que des piles dans le compartiment à piles.".

after inserting something into the compartiment for the first time :
	if the noun is a battery, award 1 point.

Instead of taking something which is in the compartiment:
	say "Vous retirez [the noun] du compartiment à piles.";
	if the lampe is switched on, try silently switching off the lampe;
	continue the action.
	
instead of taking off the pile, say "".


[pile]
the pile is a female battery.
the charge of the pile is 20.
the printed name of pile is "pile de couleur verte".
understand "pile de couleur verte", "pile verte", "verte" as pile.

[pile usagée]
the pile usagée is a female battery.
the charge of pile usagée is -1.
the printed name of pile usagée is "pile usagée".
understand "pile", "usagée" as pile usagée.

[pile de secours]
the pile de secours is a female battery.
the charge of the pile de secours is 20.
the printed name of pile de secours is "pile de couleur bleue".
understand "pile" as pile de secours.
understand "pile de couleur bleue", "pile bleue", "nouvelle pile", "bleue","couleur bleue","de couleur bleue" as pile de secours.

before taking the pile de secours for the first time, award 1 point.


Chapter - salle au plan

[--salle5--]

[plan]
the plan is a male thing.
the description of the plan is "Le plan de la grotte est utile pour ne pas se perdre.".
the printed name of plan is "plan de la grotte".
understand "plan de la grotte", "carte" as plan.

the plan is on the rocher.

instead of examining plan :
		if player is in salle05
		begin;
			move player to salle5;
			move rocher to salle5;
			move éboulis to salle1;
			move pile de secours to the rocher;
			move plan to the rocher;
			move échelle to salle3;
			if the pelle is in salle01, move the pelle to salle1;
			if the pelle is in salle02, move the pelle to salle2;
			if the pelle is in salle03, move the pelle to salle3;
			if the pelle is in salle04, move the pelle to salle4;
			if the pelle is in salle05, move the pelle to salle5;
			if the pelle is in salle06, move the pelle to salle6;
			if the pelle is in salle08, move the pelle to salle8;
		end if;
	if location is salle1, display the figure of plan001;
	if location is salle2, display the figure of plan002;
	if location is salle3, display the figure of plan003;
	if location is salle4, display the figure of plan004;
	if location is salle5, display the figure of plan005;
	if location is salle6, display the figure of plan006;
	if location is salle7, display the figure of plan007;
	if location is salle8, display the figure of plan008;
	if location is salle9, display the figure of plan009;
	continue the action.
	
instead of taking the plan :
	if player is in salle05
		begin;
		move player to salle5;
		move rocher to salle5;
		move éboulis to salle1;
		move pile de secours to the rocher;
		move plan to the rocher;
			move échelle to salle3;
			if the pelle is in salle01, move the pelle to salle1;
			if the pelle is in salle02, move the pelle to salle2;
			if the pelle is in salle03, move the pelle to salle3;
			if the pelle is in salle04, move the pelle to salle4;
			if the pelle is in salle05, move the pelle to salle5;
			if the pelle is in salle06, move the pelle to salle6;
			if the pelle is in salle08, move the pelle to salle8;
		award 2 points;
	end if;
	say "Vous prenez le plan[if pile de secours is on the rocher], vous voyez une pile sur le rocher[end if].";
	move plan to the player.


[rocher]
the rocher is a male supporter.
the rocher is fixed in place.

instead of entering the rocher :
	say "Pourquoi voulez-vous monter sur le rocher ? Vous êtes dans une grotte, vous ne verrez pas plus loin de là haut. Et puis le rocher est un peu instable, vous risqueriez de vous faire mal. Non, ce n'est pas une bonne idée ![paragraph break][if the plan is on the rocher]En regardant sur le rocher vous voyez un plan.[end if]".
	
instead of climbing the rocher :
	say "Pourquoi voulez-vous grimper sur le rocher ? Vous êtes dans une grotte, vous ne verrez pas plus loin de là haut. Et puis le rocher est un peu instable, vous risqueriez de vous faire mal. Non, ce n'est pas une bonne idée ![paragraph break][if the plan is on the rocher]En regardant sur le rocher vous voyez un plan.[end if]".

the rocher is in salle05.

Chapter - salle secrète/diamant

Section - salle secrète

[---salle secrète---]

[boîte]
the boîte is a female container. "Vous voyez une vieille boîte toute rouillée".
the boîte is openable and closed.
the boîte is in salle7.

understand "boite", "boîte toute rouillée", "boîte rouillée", "vieille boîte", "vieille boîte toute rouillée", "vieille boîte rouillée" as boîte.

instead of opening the boîte :
	say "Vous êtes brutalement téléporté dans une autre salle de la grotte.";
	move player to salle9;
	if the player does not carry the boîte
	begin;
		move the boîte to salle9;
	end if;
	continue the action.
	
before opening the boîte for the first time, award 1 point.
	
instead of closing the boîte :
	if player is in salle7
	begin;
		continue the action;
		otherwise;
		say "Vous êtes brutalement téléporté. Vous êtes dans la salle secrète.";
		move player to salle7;
		end if;
	if the player does not carry the boîte
	begin;
		move the boîte to salle7;
	end if;
	continue the action.


Section - salle diamant

[---salle diamant---]

[diamant]
the diamant is a male thing.
the description of the diamant is "Un tout petit diamant.".

the diamant is in the boîte.

instead of taking the diamant for the first time :
	say "Vous prenez le diamant, mais il vous glisse des doigts et tombe par terre.";
	award 1 point;
	move diamant to location.

instead of taking the diamant for the second time :
		say "Vous prenez le diamant...[line break]Vous êtes brutalement téléporté. Vous entendez un bruit sourd assez fort, comme si la grotte s[']écroulait.[line break]Vous êtes revenu dans la salle secrète. Tout est calme.";
		move player to salle7;
		move diamant to the player;
		award 1 point;
		remove the éboulis from play.


Chapter - autres salles

section salle 2

[---salle2---]

[sol]
the sol is backdrop in the grotte visible.
the description of the sol is "Le sol semble assez friable.".

[pelle]
the pelle is a female thing.
the pelle is in salle02.

digging with is an action applying to one visible thing.
understand "creuser un trou avec [something]", "creuser avec [something]" as digging with.

digging is an action applying to nothing.
understand "creuser", "creuser un trou", "creuser un fossé", "creuser une tranchée", "creuser le sol" as digging.

check digging with something :
if the noun is the pelle
begin;
	if player has the pelle
	begin;
	say "Vous creusez le sol avec la pelle. [line break]Ca vous fait un joli trou.";
	move the trou to location;	
	otherwise;
	say "Il vous faut une pelle pour creuser.";
	end if;
end if.

check digging : 
try digging with the pelle											

[trou]
the trou is a male vehicle.
the trou is open.
the trou is fixed in place

instead of taking the trou, say "Vous ne pouvez pas prendre un trou !".
instead of pushing the trou, say "Vous ne pouvez pas poussez le trou !".

instead of entering the trou :
	say "Vous rentrez dans le trou. Et maintenant ?? Vous avez l[']air malin ![line break]Vous restez coincé dans le trou et vous vous affaiblissez doucement. ";
	end the game saying "Un spéléologue vous retrouve fossilisé des années plus tard. Vous avez perdu.".

filling it with is an action applying to two visible things.
understand "boucher [something] avec [something preferably held]" as filling it with.
understand "reboucher [something] avec [something preferably held]" as filling it with.
understand "remplir [something] avec [something preferably held]" as filling it with.

check filling something with something:
if the noun is the trou
	begin;
	if the second noun is the pelle
		begin;
		if the player has the pelle
			begin;
			say "Vous rebouchez le trou avec votre pelle.";
			remove the trou from play;
			otherwise;
			say "Vous n[']avez pas pelle !";
			end if;
		otherwise;
		say "C[']est à l[']aide d[']une pelle que vous pouvez remplir le trou !!";
		end if;				
	otherwise;
	say "Vous ne pouvez pas reboucher n[']importe quoi !!";
end if.

filling  is an action applying to one visible thing.
understand "boucher [something]" as filling.
understand "reboucher [something]" as filling.
understand "remplir [something]" as filling.

check filling something:
if the noun is the trou
	begin;
	try filling the noun with the pelle;
	otherwise;
	say "Vous ne pouvez pas reboucher n[']importe quoi !!";
end if.


instead of going to somewhere :
	if trou is in location
	begin;
	say "Vous n[']allez quand même pas partir en laissant un trou dans le sol ! Ca pourrait être dangereux !";
	otherwise;
	continue the action;
	end if.

[diamant pourri]
the diamant pourri is a male thing.
understand "diamant" as diamant pourri.
diamant pourri is in the trou.

instead of taking the diamant pourri :
	say "Vous voulez prendre le diamant.";
	try entering the trou.

section salle 3

[---salle3---]

[échelle]
the échelle is a female supporter.
the description of the échelle is "Une belle échelle toute neuve, en bois.".
the échelle is in salle03.

understand "echelle" as échelle.

[état du joueur]
state is a kind of value. states are en haut and en bas. 
player has state. player is en bas.

instead of entering the échelle, try climbing the échelle. 
	
instead of climbing the échelle:
	if the player is en bas
	begin;
	say "Vous posez l[']échelle contre une paroi de la grotte et montez dessus. [line break]Vous apercevez alors un objet brillant dans une anfractuosité de la paroi.";
	change the state of player to en haut;
	move the objet brillant to location;
	otherwise;
	say "Vous êtes déjà en haut de l[']échelle !";
	end if.

instead of getting off the échelle:
	if the player is en haut
	begin;
	say "Vous descendez de l[']échelle.";
	change the state of player to en bas;
	remove the objet brillant from play;
	otherwise;
	say "Vous ne pouvez pas descendre de l[']échelle !... Vous n[']êtes pas dessus.";
	end if.

instead of going to somewhere :
	if the player is en haut
	begin;
	say "Vous allez avoir du mal à aller quelquepart en restant en haut de l[']échelle !";
	otherwise;
	continue the action;
	end if.

after looking : 
	if the player is en haut
	begin;
	say "Vous êtes en haut de cette échelle justement... et vous commencez à avoir un peu le vertige !";
	end if.

understand "redescendre de [something]" as getting off.

instead of taking the échelle :
	say "Vous prenez l[']échelle. [line break]Vous vous dites alors que transporter une échelle dans une grotte, ce n'est vraiment pas pratique...[line break]Vous reposez l[']échelle.".

[objet brillant]
the objet brillant is a male thing.
the description of the objet brillant is "Un objet qui brille !!".

instead of taking the objet brillant :
	say "Vous voulez prendre l[']objet brillant. C[']est un énorme diamant. [line break]Vous êtes obligé de vous pencher. L[']échelle est instable. Vous perdez l[']équilibre. Vous tombez au sol la tête la première.[line break]Vous vous fracassez sur le sol.";
	end the game saying "Lorsque le diamant que vous avez réussi à déloger de l[']anfractuosité où il se trouvait tombe sur vous, vous êtes déjà mort. Vous avez perdu.".
	
Chapter salle6

[---salle6---]

instead of going from salle06 for the first time, say "Vous vous êtes beaucoup baissé pour passer. Vous avez le dos bloqué contre le plafond. Nous n[']arrivez plus à bouger.".
instead of going from salle06 for the second time, say "Vous réussissez à bouger un peu mais pas suffisamment pour passer.".
instead of going from salle06 for the third time:
	say "Après un effort incommensurable, vous réussissez à vous dégager et quitter la salle.";
	continue the action.
instead of going from salle06 for the fourth time, say "Vous vous êtes beaucoup baissé pour passer. Vous avez le dos bloqué contre le plafond. Impossible de bouger.".
instead of going from salle06 for the fifth time, say "Vous réussissez à bouger un tout petit peu, mais vous restez bloqué.".
instead of going from salle06 for the sixth time:
	say "Après un effort encore plus incommensurable que la première fois, vous réussissez enfin à vous dégager et quitter la salle.";
	continue the action.
instead of going from salle06 for the seventh time, say "Vous êtes une nouvelle fois bloqué. Cela semble définitif.".
instead of going from salle06 for the eighth time :
	say "Vous êtes bloqué à tout jamais. Personne ne peut vous entendre et vous venir en aide. Au bout de quelques heures vous perdez connaissance.";
	end the game saying "Des milliers d[']années plus tard, un spéléologue vous retrouvera fossilisé. Vous avez perdu. Vous êtes mort.".

instead of going from salle6 for the first time, say "Vous vous êtes beaucoup baissé pour passer. Vous avez le dos bloqué contre le plafond. Nous n[']arrivez plus à bouger.".
instead of going from salle6 for the second time, say "Vous réussissez à bouger un peu mais pas suffisamment pour passer.".
instead of going from salle6 for the third time:
	say "Après un effort incommensurable, vous réussissez à vous dégager et quitter la salle.";
	continue the action.
instead of going from salle6 for the fourth time, say "Vous vous êtes beaucoup baissé pour passer. Vous avez le dos bloqué contre le plafond. Impossible de bouger.".
instead of going from salle6 for the fifth time, say "Vous réussissez à bouger un tout petit peu, mais vous restez bloqué.".
instead of going from salle6 for the sixth time:
	say "Après un effort encore plus incommensurable que la première fois, vous réussissez enfin à vous dégager et quitter la salle.";
	continue the action.
instead of going from salle6 for the seventh time, say "Vous êtes une nouvelle fois bloqué. Cela semble définitif.".
instead of going from salle6 for the eighth time :
	say "Vous êtes bloqué à tout jamais. Personne ne peut vous entendre et vous venir en aide. Au bout de quelques heures vous perdez connaissance.";
	end the game saying "Des milliers d[']années plus tard, un spéléologue vous retrouvera fossilisé. Vous avez perdu. Vous êtes mort.".


Part 4 - Position relative des lieux

Chapter - grotte avant de trouver le plan

salle02 is west of salle01.
salle03 is north of salle01.
salle04 is east of salle01.
salle05 is north of salle02 and west of salle03.
salle06 is north of salle04 and east of salle03.
salle08 is north of salle03.
entrée0 de la grotte is south of salle01.

Chapter - grotte après avoir trouvé le plan

salle2 is west of salle1.
salle3 is north of salle1.
salle4 is east of salle1.
salle5 is north of salle2 and west of salle3.
salle6 is north of salle4 and east of salle3.
salle8 is north of salle3.
entrée de la grotte is south of salle1.
salle7 is north of salle5 and west of salle8.

test debut with "fouiller éboulis/prendre pile/ouvrir lampe/mettre pile dans lampe/fermer lampe/allumer lampe/poser pierre/n/o/regarder rocher/prendre le plan/n".
test toutdebut with "fouiller éboulis/prendre pile/ouvrir lampe/mettre pile dans lampe/fermer lampe/allumer lampe/poser pierre".